%define section free

Summary:        FO to RTF converter
Name:           jfor
Version:        0.7.2
Release:        0.rc1.1jpp
Epoch:          0
License:        Apache-style Software License 
URL:            http://sourceforge.net/projects/jfor
Group:          Text Processing/Markup/XML
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        jfor-src-V_0_7_2rc1.tar.gz
BuildRequires:  ant >= 0:1.6, ant-junit >= 0:1.6, jpackage-utils >= 0:1.5
BuildRequires:  junit
BuildRequires:  xml-commons-apis
BuildRequires:  excalibur-avalon-logkit
Requires:       xml-commons-apis
Requires:	excalibur-avalon-logkit
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Jfor ("Java FO to Rtf converter") converts XSL-FO documents to RTF 
format, allowing documents formatted using XSL transforms to be 
loaded in common word processors for editing. jfor also includes 
a general-purpose RTF document-generation library 


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation

%description demo
%{summary}.

%prep
%setup -q -n %{name}
# remove all binary libs
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%build
build-jar-repository -s -p lib \
xerces-j2 \
excalibur/avalon-logkit \


ant dist javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}

cp -p dist/lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/website/www.jfor.org/* \
	$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

#demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr samples/* \
	$RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}



%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/jfor-license.html
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}

%changelog
* Tue Oct 18 2005 Ralph Apel <r.apel@r-apel.de> - 0:0.7.2-0.rc1.1jpp
- First JPackage build
